Debian Bug report logs - #703116
Please update to latest upstream

version graph

Package: pari-gp; Maintainer for pari-gp is Bill Allombert <ballombe@debian.org>; Source for pari-gp is src:pari.

Reported by: Julien Puydt <julien.puydt@laposte.net>

Date: Fri, 15 Mar 2013 21:12:01 UTC

Severity: normal

Found in version pari/2.5.1-2

Fixed in version pari/2.5.4-1

Done: Bill Allombert <ballombe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Fri, 15 Mar 2013 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
New Bug report received and forwarded. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 15 Mar 2013 21:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please update to latest upstream
Date: Fri, 15 Mar 2013 13:08:19 +0100
Package: pari-gp
Version: 2.5.1-2

Would it be possible to package pari 5.3, which has a few nice bug fixes 
in it (I'm thinking about trac.sagemath.org/sage_trac/ticket/13314) ?

Thanks,

Snark on #debian-science



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Mon, 18 Mar 2013 09:39:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Mon, 18 Mar 2013 09:39:20 GMT) Full text and rfc822 format available.

Message #10 received at 703116@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Puydt <julien.puydt@laposte.net>, 703116@bugs.debian.org
Subject: Re: Bug#703116: Please update to latest upstream
Date: Mon, 18 Mar 2013 10:37:02 +0100
On Fri, Mar 15, 2013 at 01:08:19PM +0100, Julien Puydt wrote:
> Package: pari-gp
> Version: 2.5.1-2
> 
> Would it be possible to package pari 5.3, which has a few nice bug
> fixes in it (I'm thinking about
> trac.sagemath.org/sage_trac/ticket/13314) ?

This will be done after the freeze.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Wed, 20 Mar 2013 09:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Wed, 20 Mar 2013 09:57:12 GMT) Full text and rfc822 format available.

Message #15 received at 703116@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
Cc: 703116@bugs.debian.org
Subject: Re: Bug#703116: Please update to latest upstream
Date: Wed, 20 Mar 2013 10:52:47 +0100
Le 18/03/2013 10:37, Bill Allombert a écrit :
> On Fri, Mar 15, 2013 at 01:08:19PM +0100, Julien Puydt wrote:
>> Package: pari-gp
>> Version: 2.5.1-2
>>
>> Would it be possible to package pari 5.3, which has a few nice bug
>> fixes in it (I'm thinking about
>> trac.sagemath.org/sage_trac/ticket/13314) ?
>
> This will be done after the freeze.

An experimental upload would be enough -- it would allow the sage 
packaging effort to move forward.

Thanks,

Snark on #debian-science



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Wed, 20 Mar 2013 10:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <jpuydt@free.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Wed, 20 Mar 2013 10:57:11 GMT) Full text and rfc822 format available.

Message #20 received at 703116@bugs.debian.org (full text, mbox):

From: Julien Puydt <jpuydt@free.fr>
To: 703116@bugs.debian.org
Subject: Pari in sage is (heavily) patched upstream
Date: Wed, 20 Mar 2013 11:53:56 +0100
Hi,

in fact, looking at the pari 2.5.3 in sage, there are quite a few 
patches in it, some of which might be interesting for upstream... and 
which are needed to build sage.

So Im' not sure whether it's that useful to package pari 2.5.3 upstream 
in debian/experimental :-/

Snark on #debian-science



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Wed, 20 Mar 2013 13:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Wed, 20 Mar 2013 13:27:04 GMT) Full text and rfc822 format available.

Message #25 received at 703116@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Puydt <jpuydt@free.fr>, 703116@bugs.debian.org
Subject: Re: Bug#703116: Pari in sage is (heavily) patched upstream
Date: Wed, 20 Mar 2013 14:25:41 +0100
On Wed, Mar 20, 2013 at 11:53:56AM +0100, Julien Puydt wrote:
> Hi,
> 
> in fact, looking at the pari 2.5.3 in sage, there are quite a few
> patches in it, some of which might be interesting for upstream...
> and which are needed to build sage.

I know, this is why I think it is premature to package SAGE for Debian.
Time would be better spent improving the packaging of SAGE components inside
SAGE so there is no random patching.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Fri, 22 Mar 2013 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 22 Mar 2013 14:12:04 GMT) Full text and rfc822 format available.

Message #30 received at 703116@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
Cc: 703116@bugs.debian.org
Subject: Re: Bug#703116: Pari in sage is (heavily) patched upstream
Date: Fri, 22 Mar 2013 15:09:26 +0100
Le 20/03/2013 14:25, Bill Allombert a écrit :
> On Wed, Mar 20, 2013 at 11:53:56AM +0100, Julien Puydt wrote:
>> Hi,
>>
>> in fact, looking at the pari 2.5.3 in sage, there are quite a few
>> patches in it, some of which might be interesting for upstream...
>> and which are needed to build sage.
>
> I know, this is why I think it is premature to package SAGE for Debian.
> Time would be better spent improving the packaging of SAGE components inside
> SAGE so there is no random patching.

They have a particular patch (polred.patch) which does more than 
packaging modifications ; its description in patches/README.txt is:

* polred.patch: Fix polred(), add polredbest() based on upstream commits
  - 2d00a24fbb1ffe8eba35b9a04763e36eef8a5f7b
  - a3596c56f9439144a0dbed4c47bd6ff9485e3fc8
  - 1a00ca416de4daebccaab2be1a4b8a061a9f2fde
  - ad550d9bbfee8113087407c3262bffc27a020c98

I made a personal debian package of a snapshot of upstream's 2.5 branch, 
and couldn't build sage with it.

Snark on #debian-science



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Fri, 22 Mar 2013 18:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 22 Mar 2013 18:12:14 GMT) Full text and rfc822 format available.

Message #35 received at 703116@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Puydt <julien.puydt@laposte.net>, 703116@bugs.debian.org
Subject: Re: Bug#703116: Pari in sage is (heavily) patched upstream
Date: Fri, 22 Mar 2013 19:10:21 +0100
On Fri, Mar 22, 2013 at 03:09:26PM +0100, Julien Puydt wrote:
> Le 20/03/2013 14:25, Bill Allombert a écrit :
> >On Wed, Mar 20, 2013 at 11:53:56AM +0100, Julien Puydt wrote:
> >>Hi,
> >>
> >>in fact, looking at the pari 2.5.3 in sage, there are quite a few
> >>patches in it, some of which might be interesting for upstream...
> >>and which are needed to build sage.
> >
> >I know, this is why I think it is premature to package SAGE for Debian.
> >Time would be better spent improving the packaging of SAGE components inside
> >SAGE so there is no random patching.
> 
> They have a particular patch (polred.patch) which does more than
> packaging modifications ; its description in patches/README.txt is:
> 
> * polred.patch: Fix polred(), add polredbest() based on upstream commits
>   - 2d00a24fbb1ffe8eba35b9a04763e36eef8a5f7b
>   - a3596c56f9439144a0dbed4c47bd6ff9485e3fc8
>   - 1a00ca416de4daebccaab2be1a4b8a061a9f2fde
>   - ad550d9bbfee8113087407c3262bffc27a020c98

This changes the library ABI.  Instead, Sage could write its own PARI
extensions without patching libpari.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Fri, 22 Mar 2013 18:54:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 22 Mar 2013 18:54:20 GMT) Full text and rfc822 format available.

Message #40 received at 703116@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
Cc: 703116@bugs.debian.org
Subject: Re: Bug#703116: Pari in sage is (heavily) patched upstream
Date: Fri, 22 Mar 2013 19:53:45 +0100
Le 22/03/2013 19:10, Bill Allombert a écrit :
> On Fri, Mar 22, 2013 at 03:09:26PM +0100, Julien Puydt wrote:
>> Le 20/03/2013 14:25, Bill Allombert a écrit :
>>> On Wed, Mar 20, 2013 at 11:53:56AM +0100, Julien Puydt wrote:
>>>> Hi,
>>>>
>>>> in fact, looking at the pari 2.5.3 in sage, there are quite a few
>>>> patches in it, some of which might be interesting for upstream...
>>>> and which are needed to build sage.
>>>
>>> I know, this is why I think it is premature to package SAGE for Debian.
>>> Time would be better spent improving the packaging of SAGE components inside
>>> SAGE so there is no random patching.
>>
>> They have a particular patch (polred.patch) which does more than
>> packaging modifications ; its description in patches/README.txt is:
>>
>> * polred.patch: Fix polred(), add polredbest() based on upstream commits
>>    - 2d00a24fbb1ffe8eba35b9a04763e36eef8a5f7b
>>    - a3596c56f9439144a0dbed4c47bd6ff9485e3fc8
>>    - 1a00ca416de4daebccaab2be1a4b8a061a9f2fde
>>    - ad550d9bbfee8113087407c3262bffc27a020c98
>
> This changes the library ABI.  Instead, Sage could write its own PARI
> extensions without patching libpari.

Some of the sage developers have a tendency to consider that as sage 
ships all dependencies, it is ok to implement new features by 
half-patching deps and half-patching sage itself... add to that that 
they also have a tendency not to forward their patches upstream and 
you'll end up with this type of situation. See for example 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703263 for another example.

Anyway, if we want to package sage in debian, we'll somehow need the 
pari package to be compatible with what sage needs.

What do you suggest?

Snark on #debian-science



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Fri, 22 Mar 2013 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 22 Mar 2013 21:21:04 GMT) Full text and rfc822 format available.

Message #45 received at 703116@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Puydt <julien.puydt@laposte.net>, 703116@bugs.debian.org
Subject: Re: Bug#703116: Pari in sage is (heavily) patched upstream
Date: Fri, 22 Mar 2013 22:19:15 +0100
On Fri, Mar 22, 2013 at 07:53:45PM +0100, Julien Puydt wrote:
> Le 22/03/2013 19:10, Bill Allombert a écrit :
> >On Fri, Mar 22, 2013 at 03:09:26PM +0100, Julien Puydt wrote:
> >>Le 20/03/2013 14:25, Bill Allombert a écrit :
> >>>On Wed, Mar 20, 2013 at 11:53:56AM +0100, Julien Puydt wrote:
> >>>>Hi,
> >>>>
> >>>>in fact, looking at the pari 2.5.3 in sage, there are quite a few
> >>>>patches in it, some of which might be interesting for upstream...
> >>>>and which are needed to build sage.
> >>>
> >>>I know, this is why I think it is premature to package SAGE for Debian.
> >>>Time would be better spent improving the packaging of SAGE components inside
> >>>SAGE so there is no random patching.
> >>
> >>They have a particular patch (polred.patch) which does more than
> >>packaging modifications ; its description in patches/README.txt is:
> >>
> >>* polred.patch: Fix polred(), add polredbest() based on upstream commits
> >>   - 2d00a24fbb1ffe8eba35b9a04763e36eef8a5f7b
> >>   - a3596c56f9439144a0dbed4c47bd6ff9485e3fc8
> >>   - 1a00ca416de4daebccaab2be1a4b8a061a9f2fde
> >>   - ad550d9bbfee8113087407c3262bffc27a020c98
> >
> >This changes the library ABI.  Instead, Sage could write its own PARI
> >extensions without patching libpari.
> 
> Some of the sage developers have a tendency to consider that as sage
> ships all dependencies, it is ok to implement new features by
> half-patching deps and half-patching sage itself... add to that that
> they also have a tendency not to forward their patches upstream and
> you'll end up with this type of situation. See for example
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703263 for another
> example.
> 
> Anyway, if we want to package sage in debian, we'll somehow need the
> pari package to be compatible with what sage needs.

What I already suggested: work with the Sage developers so that they improve
their packaging practices to the point it is actually possible to package it
for Debian. Before that point, refrain from asking Debian developpers to make
changes to their packages that will lead nowhere.

First, you cannot realistically require each maintainers to apply new patches
each time you want to upload a new upstream release of sage.

Secondly, the maintainer of a Debian package has a duty toward the users of the
software, and should not apply patches that degrade the user experience when used
outside sage.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#703116; Package pari-gp. (Sat, 23 Mar 2013 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 23 Mar 2013 09:21:04 GMT) Full text and rfc822 format available.

Message #50 received at 703116@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: 703116@bugs.debian.org
Subject: Re: Bug#703116: Pari in sage is (heavily) patched upstream
Date: Sat, 23 Mar 2013 10:20:17 +0100
Le 22/03/2013 22:19, Bill Allombert a écrit :

> Secondly, the maintainer of a Debian package has a duty toward the users of the
> software, and should not apply patches that degrade the user experience when used
> outside sage.

Reported:
http://trac.sagemath.org/sage_trac/ticket/14346

Snark on #debian-science



Reply sent to Bill Allombert <ballombe@debian.org>:
You have taken responsibility. (Mon, 13 May 2013 15:06:05 GMT) Full text and rfc822 format available.

Notification sent to Julien Puydt <julien.puydt@laposte.net>:
Bug acknowledged by developer. (Mon, 13 May 2013 15:06:05 GMT) Full text and rfc822 format available.

Message #55 received at 703116-close@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: 703116-close@bugs.debian.org
Subject: Bug#703116: fixed in pari 2.5.4-1
Date: Mon, 13 May 2013 15:03:43 +0000
Source: pari
Source-Version: 2.5.4-1

We believe that the bug you reported is fixed in the latest version of
pari, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703116@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bill Allombert <ballombe@debian.org> (supplier of updated pari package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 May 2013 14:31:49 +0200
Source: pari
Binary: pari-gp libpari-dev libpari-dbg libpari-gmp3 pari-doc
Architecture: source amd64 all
Version: 2.5.4-1
Distribution: unstable
Urgency: low
Maintainer: Bill Allombert <ballombe@debian.org>
Changed-By: Bill Allombert <ballombe@debian.org>
Description: 
 libpari-dbg - PARI/GP Computer Algebra System debugging symbols
 libpari-dev - PARI/GP Computer Algebra System development files
 libpari-gmp3 - PARI/GP Computer Algebra System shared library
 pari-doc   - PARI/GP Computer Algebra System documentation
 pari-gp    - PARI/GP Computer Algebra System binaries
Closes: 703116
Changes: 
 pari (2.5.4-1) unstable; urgency=low
 .
   * New upstream release. Closes: #703116
     - Fix gcc-4.7 support. Patch gcc-4.7-linear-fix removed.
     - Update tex2mail. Patch tex2mail-Getopt-Long removed.
   * Multiarchify libpari-gmp3.
Checksums-Sha1: 
 d9d0cf9c5b4251254c5f14a6ab913683fa5e388d 1291 pari_2.5.4-1.dsc
 471226fd86fea0ad1f236249a49bdaee16aa34bf 2721861 pari_2.5.4.orig.tar.gz
 52ea20fe5dd1b874a18c54c51c0fe14de6a15db6 12175 pari_2.5.4-1.debian.tar.gz
 22eb31ae96b5f29b15f430447adf51419167cd81 185422 pari-gp_2.5.4-1_amd64.deb
 73d4c892dae2aa45d9fc83156b50e56913b80f8e 2772320 libpari-dev_2.5.4-1_amd64.deb
 0f7161cc8a854b1bd270e7c0f9f12d167394e913 5638922 libpari-dbg_2.5.4-1_amd64.deb
 91263b3b50387920c029c3d611f2ba9b1879f394 2136884 libpari-gmp3_2.5.4-1_amd64.deb
 2f8c53585dde9eae223d595a3b274c09cd407171 4406788 pari-doc_2.5.4-1_all.deb
Checksums-Sha256: 
 5fdbe670d4821ccf0ebc665db4fbfa45d6071af191fb297a4743209001d74c41 1291 pari_2.5.4-1.dsc
 9f37e14aca6c38cc9b7c18edec3319a30dcdb42e217981eda1fe85866c91fa3e 2721861 pari_2.5.4.orig.tar.gz
 758ef1516c24b9c36bce5c482aaaf3904244decfe60ae5ed5e5804b4071b5952 12175 pari_2.5.4-1.debian.tar.gz
 031158101b01c584ba1b430f5477a7d04990ab9d0bcc3975b5ee2290a4563f06 185422 pari-gp_2.5.4-1_amd64.deb
 ef9f89a2031be4bc6cb4a7f6d7d851442bd01cbb6a4dba3ca69f77b74f0ba28a 2772320 libpari-dev_2.5.4-1_amd64.deb
 aee30eade7895e068e86d3af64f1ba254df5c3d3de72c3a1db52706437b3764c 5638922 libpari-dbg_2.5.4-1_amd64.deb
 6567901330702ccdcbf2347214a7e05f506d004b258afaf411a4361cc6824b9a 2136884 libpari-gmp3_2.5.4-1_amd64.deb
 ebefbdff72e778d3d65691f4f59afd8a4580481b31b5aa8c1e1ee543807607bc 4406788 pari-doc_2.5.4-1_all.deb
Files: 
 ab99d36dafd7c9afec5723753de83116 1291 math optional pari_2.5.4-1.dsc
 b7f3a2775d57cc49e4c0af2e1479acd2 2721861 math optional pari_2.5.4.orig.tar.gz
 8e6a6c50b2916c3e5dd0b6290adcf3a0 12175 math optional pari_2.5.4-1.debian.tar.gz
 b907f82b1b2eb09f562e66a08d052fff 185422 math optional pari-gp_2.5.4-1_amd64.deb
 4d171771fc32e21eb5b8f702e30db6e5 2772320 libdevel optional libpari-dev_2.5.4-1_amd64.deb
 7d3acb47077a5421de359abe4181592c 5638922 debug extra libpari-dbg_2.5.4-1_amd64.deb
 0e7ff2b8d23a3fbcfc29644ec6b71a41 2136884 libs optional libpari-gmp3_2.5.4-1_amd64.deb
 2d4a50ea87197cde528ad5a2f5cd01af 4406788 doc optional pari-doc_2.5.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlGQ83UACgkQeDPs8bVESBUpcwCgluQXW02tT0zdQVT+MwyEWvfG
9ioAn3xwYuqc53g965pYrnCCPviO5HcA
=81xL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Jun 2013 07:27:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:57:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.